﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCSI_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_DCLFILEEXP')
CREATE TABLE T_HCSI_DCLFILEEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FDCLRECORDID BIGINT DEFAULT 0 NOT NULL,
FSINSURFILEVID BIGINT DEFAULT 0 NOT NULL,
FWELFAREPAYERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_DCLPERSON')
CREATE TABLE T_HCSI_DCLPERSON (
FID BIGINT DEFAULT 0 NOT NULL,
FSINSURFILEVID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FSINSURPERSONVID BIGINT DEFAULT 0 NOT NULL,
FSINSURPERIODID BIGINT DEFAULT 0 NOT NULL,
FINSUREDCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSINSURFILEID BIGINT DEFAULT 0 NOT NULL,
FDCLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FDCLRECORDID BIGINT DEFAULT 0 NOT NULL,
FPERCREVID BIGINT DEFAULT 0 NOT NULL,
FEMPENTRELVID BIGINT DEFAULT 0 NOT NULL,
FTRIALPERIODVID BIGINT DEFAULT 0 NOT NULL,
FNAMEDB NVARCHAR(150) DEFAULT ' ' NOT NULL,
FEMPNUMBERDB VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_DCLPERSONIENT')
CREATE TABLE T_HCSI_DCLPERSONIENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINSURANCEITEMID BIGINT DEFAULT 0 NOT NULL,
FNUMVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_DCLPERSONTENT')
CREATE TABLE T_HCSI_DCLPERSONTENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINSURTYPEPROP VARCHAR(2) DEFAULT ' ' NOT NULL,
FINSURTYPEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_DCLRECORD')
CREATE TABLE T_HCSI_DCLRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FINSUREDCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FHASWELFARETYPE VARCHAR(2) DEFAULT '0' NOT NULL,
FPERSONCOUNT INT DEFAULT 0 NOT NULL,
FDCLSTATUS VARCHAR(2) DEFAULT 'E' NOT NULL,
FLOCKSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSINSURDCLRULEID BIGINT DEFAULT 0 NOT NULL,
FDCLBUSINESSNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSINSURDCLRULEVID BIGINT DEFAULT 0 NOT NULL,
FDCLDISPLAYSCMVID BIGINT DEFAULT 0 NOT NULL,
FFILEEXP VARCHAR(2) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_DCLRECORD_L')
CREATE TABLE T_HCSI_DCLRECORD_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_DCLRECORDSTD')
CREATE TABLE T_HCSI_DCLRECORDSTD (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_DCLRECORDTYPEMUL')
CREATE TABLE T_HCSI_DCLRECORDTYPEMUL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSI_DCLPERSON' AND KSQL_COL_NAME ='FPERNONTSPROPID')
ALTER TABLE T_HCSI_DCLPERSON ADD (FPERNONTSPROPID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCSI_table.sql **/
